Index: fltk-config.in
===================================================================
--- fltk-config.in	(revision 11985)
+++ fltk-config.in	(working copy)
@@ -121,7 +121,7 @@
 Options to compile and link an application:
 	[-g]              compile the program with debugging information
 	[-Dname[=value]]  compile the program with the given define
-	[--compile program.cxx]
+	[--compile program.cxx] [--add-ldflags="-lxxx -lyyy .."]
         [--post program]  prepare the program for desktop use
 "
     exit $1
@@ -133,6 +133,7 @@
 
 no_plugins=no
 compile=
+ldflags=
 post=
 debug=
 
@@ -207,6 +208,10 @@
 	    compile="$2"
 	    shift
 	    ;;
+	--add-ldflags*)
+	    ldflags=$optarg
+	    shift
+	    ;;
 	--post)
 	    post="$2"
 	    shift
@@ -286,8 +291,8 @@
 
     post="$prog"
 
-    echo $CXX $ARCHFLAGS $includes $CXXFLAGS $debug -o "'$prog'" "'$compile'" $LDSTATIC
-    $CXX $ARCHFLAGS $includes $CXXFLAGS $debug -o "$prog" "$compile" $LDSTATIC || exit 1
+    echo $CXX $ARCHFLAGS $includes $CXXFLAGS $debug -o "'$prog'" "'$compile'" $LDSTATIC $ldflags
+    $CXX $ARCHFLAGS $includes $CXXFLAGS $debug -o "$prog" "$compile" $LDSTATIC $ldflags || exit 1
 fi
 
 if test -n "$post"; then
